Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 643460

Summary: net-analyzer/dsniff-2.4_beta1-r9 : ./decode_yp.c:18:10: fatal error: rpcsvc/yp_prot.h: No such file or directory
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Gentoo Netmon project <netmon>
Status: RESOLVED FIXED    
Severity: normal CC: pacho, treecleaner
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 381391    
Deadline: 2019-04-30   
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
net-analyzer:dsniff-2.4_beta1-r9:20180104-155455.log
temp.tbz2
emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
net-analyzer:dsniff-2.4_beta1-r10:20180521-083637.log
temp.tbz2

Description Toralf Förster gentoo-dev 2018-01-04 17:47:07 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -Wall -D_BSD_SOURCE -D_DEFAULT_SOURCE -D__DEFAULT_SOURCE -D__FAVOR_BSD -DHAVE_NET_ETHERNET_H  -I.  -I./missing -I/usr/include/tirpc -c ./decode_vrrp.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -Wall -D_BSD_SOURCE -D_DEFAULT_SOURCE -D__DEFAULT_SOURCE -D__FAVOR_BSD -DHAVE_NET_ETHERNET_H  -I.  -I./missing -I/usr/include/tirpc -c ./decode_yp.c
./decode_yp.c:18:10: fatal error: rpcsvc/yp_prot.h: No such file or directory
 #include <rpcsvc/yp_prot.h>
          ^~~~~~~~~~~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-no-multilib-hardened_20171229-184738

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python2.7 (fallback)
  [3]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.6.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv net-analyzer/dsniff
[ebuild  N    ] net-analyzer/dsniff-2.4_beta1-r7  USE="-X -libressl"
Comment 1 Toralf Förster gentoo-dev 2018-01-04 17:47:10 UTC
Created attachment 513344 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-01-04 17:47:13 UTC
Created attachment 513346 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-01-04 17:47:16 UTC
Created attachment 513348 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-01-04 17:47:19 UTC
Created attachment 513350 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-01-04 17:47:22 UTC
Created attachment 513352 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-01-04 17:47:25 UTC
Created attachment 513354 [details]
net-analyzer:dsniff-2.4_beta1-r9:20180104-155455.log
Comment 7 Toralf Förster gentoo-dev 2018-01-04 17:47:28 UTC
Created attachment 513356 [details]
temp.tbz2
Comment 8 Andreas K. Hüttel archtester gentoo-dev 2018-04-22 15:59:33 UTC
This is fixed in -r10. Stabilization takes place in bug 649410.
Comment 9 Toralf Förster gentoo-dev 2018-05-21 08:41:02 UTC
got at the unstable amd64 chroot image 17.0_20180519-112102 this : ./decode_yp.c:18:10: fatal error: rpcsvc/yp_prot.h: No such file or directory
Comment 10 Toralf Förster gentoo-dev 2018-05-21 08:41:06 UTC
Created attachment 532512 [details]
emerge-info.txt
Comment 11 Toralf Förster gentoo-dev 2018-05-21 08:41:09 UTC
Created attachment 532514 [details]
emerge-history.txt
Comment 12 Toralf Förster gentoo-dev 2018-05-21 08:41:12 UTC
Created attachment 532516 [details]
environment
Comment 13 Toralf Förster gentoo-dev 2018-05-21 08:41:15 UTC
Created attachment 532518 [details]
etc.portage.tbz2
Comment 14 Toralf Förster gentoo-dev 2018-05-21 08:41:18 UTC
Created attachment 532520 [details]
logs.tbz2
Comment 15 Toralf Förster gentoo-dev 2018-05-21 08:41:21 UTC
Created attachment 532522 [details]
net-analyzer:dsniff-2.4_beta1-r10:20180521-083637.log
Comment 16 Toralf Förster gentoo-dev 2018-05-21 08:41:24 UTC
Created attachment 532524 [details]
temp.tbz2
Comment 17 Pacho Ramos gentoo-dev 2018-06-20 15:34:04 UTC
net-libs/libnsl provides that file, maybe you need a newer version :/
Comment 18 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-02 18:55:04 UTC
Gone.
Comment 19 Larry the Git Cow gentoo-dev 2021-12-07 06:44:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffd19f440039ff1c2b4e4e1234c1f9c89a7ae806

commit ffd19f440039ff1c2b4e4e1234c1f9c89a7ae806
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-12-07 02:56:16 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-07 06:44:25 +0000

    net-analyzer/dsniff: initial import (revival)
    
    Removed in 1aa904188ff115f14f6d5fac4e0483152a08ed37. Now
    using (substantial) Debian patchset.
    
    Closes: https://bugs.gentoo.org/643460
    Closes: https://bugs.gentoo.org/674192
    Closes: https://bugs.gentoo.org/571446
    Signed-off-by: Sam James <sam@gentoo.org>

 net-analyzer/dsniff/Manifest                       |   2 +
 net-analyzer/dsniff/dsniff-2.4_beta1_p30.ebuild    |  73 ++++++++++++++
 .../files/dsniff-2.4_beta1_p30-httppostfix.patch   |  21 +++++
 .../dsniff-2.4_beta1_p30-libdir-configure.patch    | 105 +++++++++++++++++++++
 .../files/dsniff-2.4_beta1_p30-respect-AR.patch    |  22 +++++
 net-analyzer/dsniff/metadata.xml                   |  17 ++++
 6 files changed, 240 insertions(+)